
[classes]
; has only measurement pings, nothing more.  don't put any other traffic into 'highest'
class=highest -prio 100

; these queues have only tcp ack's, nothing else, sorted by prio of the original stream.
; it is a good idea to put nothing else in here as well.
class=ackhigher -prio 91 -speed 40%,0 -delay copy higher
class=higher -prio 90 -speed 40%,0 -weight 200 -delay auto
class=ackhigh -prio 89 -speed 40%,0 -delay copy high
class=ackdefault -prio 88 -speed 40%,0 -delay copy default
class=acklow -prio 87 -speed 40%,0 -delay copy low
class=acklowest -prio 86 -speed 40%,0 -delay copy lowest

; 'high' class gets all the prioritised data.  make sure that it's not too much!
class=high -prio 80 -speed 40%,0 -weight 200 -delay auto

; class default is implicit:
class=default -delay auto

; 'low' gets FTP file and mail transfers
class=low -prio 0 -speed 25%,-10 -weight 50 -delay auto

; 'lowest' gets all P2P bulk data traffic (but not the ack's, they go to 'highest'!)
class=lowest -prio 0 -speed 25%,-30 -weight 25 -delay auto

[filters]
; for a documentation of filter rules see
; http://www.cfos.de/speed/documentation/filter_expressions.shtml

; firewall rules and other rules that drop packets are listed under limit_filters

; --- traffic shaping rules
; the first rule that matches is used.  that is why higher prio protocols are handled first.

; furthermore, protocols are handled before programs, so even software that is prioritised as low
; will have fast DNS and other low-volume protocols.  The main bulk of traffic for said software
; would be sent out with low prio, though.

; user.ini protocol and program settings are handled first, since user-made settings are
; saved to user.ini and will be preserved when re-installing cFosSpeed.
; we have to exclude @user.ini/normalprots settings from the settings.ini rules (like in
; -l7-prot @lowprots -l7-prot !@user.ini/normalprots), since setting a protocol/program to
; normal priority in user.ini would otherwise lead to the settings.ini rule to hold for
; the protocol/program.

filter=-highest -c highest
filter=-tx -higher -class higher -c ackhigher
filter=-tx -higher -class high -c ackhigh
filter=-tx -higher -class default -c ackdefault
filter=-tx -higher -class low -c acklow
filter=-tx -higher -class lowest -c acklowest
filter=-higher -c higher
filter=-high -c high
filter=-manual -class higher -c higher
filter=-manual -class high -c high
filter=-manual -class default -c default
filter=-manual -class low -c low
filter=-manual -class lowest -c lowest
filter=-l7-prot @user.ini/higherprots -c higher
filter=-l7-prot @user.ini/highprots -c high
filter=-l7-prot @user.ini/lowprots -c low
filter=-l7-prot @user.ini/lowestprots -c lowest
filter=-l7-prot @higherprots -l7-prot !@user.ini/normalprots -c higher
filter=-l7-prot @highprots -l7-prot !@user.ini/normalprots -c high
filter=-l7-prot @lowprots -l7-prot !@user.ini/normalprots -c low
filter=-l7-prot @lowestprots -l7-prot !@user.ini/normalprots -c lowest
filter=-prog @user.ini/higherprogs -c higher
filter=-prog @user.ini/highprogs -c high
filter=-prog @user.ini/lowprogs -c low
filter=-prog @user.ini/lowestprogs -c lowest
filter=-prog @higherprogs -prog !@user.ini/normalprogs -c higher
filter=-prog @highprogs -prog !@user.ini/normalprogs -c high
filter=-prog @lowprogs -prog !@user.ini/normalprogs -c low
filter=-prog @lowestprogs -prog !@user.ini/normalprogs -c lowest
filter=-low -c low
filter=-bulk -l7-prot !BSTREAM_S,BSTREAM_C,HSTREAM_S,MPEG_DASH_S,RTMP_S,RTSP_S -c low -force-set-class
filter=-l7-prot @user.ini/normalprots,@normalprots -c default
filter=-prog @user.ini/normalprogs,@normalprogs -c default

[limit_classes]

[limit_filters]
; these filter rules are used to drop all packets we don't want to send and
; afterwards maybe to rate-limit according to the limit_class settings.

; --- firewall rules
; ppp protocols: only handle network-layer-protocols
filter=-fw -pppp 0x4000:0xffff -c default
; drop all non ip (or compressed) protocols
filter=-fw !-pppp 0x21,0x2d,0x2f,0x3d,0x57 -c drop

; ethernet protocols: allow only ipv4 and arp
filter=-fw !-ethp 0x800,0x806,0x86dd -c drop

; ipv4 packets with len < 20, vsn != 4, ihl < 20, len < ethd_len, len > ihl, bad chksum,
; ping of death or malformed ip options are always dropped

;; drop all fragments?
;filter=-fw -fragment -c drop

; drop ipv4 packets with source route ip option
filter=-fw -ip-opt 131,137 -c drop

;; drop packets with other ip protocols than specified?
;; this may inhibit some software from working, like NAT/VPN software (might need GRE,
;; AH or ESP) or ip mobility support (might need GRE), or ip multicasting (needs IGMP)
;filter=-fw !-p tcp,udp,icmp -c drop

;; drop packets to or from loopback address?  paranoia, should be superfluous
;filter=-fw -s 127.0.0.0/8 -c drop
;filter=-fw -d 127.0.0.0/8 -c drop

;; drop packets to or from reserved address?
;filter=-fw -wan -s 0.0.0.0/8 -c drop
;filter=-fw -d 0.0.0.0/8 -c drop

;; drop packets to or from broadcast address
;filter=-fw -s 255.255.255.255 -c drop
;filter=-fw -wan -d 255.255.255.255 -c drop

;; drop packets to or from multicast addresses?
;filter=-fw -s 224.0.0.0/4 -c drop
;filter=-fw -d 224.0.0.0/4 -c drop

; egress filtering
; don't check source ip on LAN ports, might break ip mobility support.
filter=-fw -wan !-bridged -tx !-s-mynet -c drop
; don't check dest ip on LAN ports, since DNS traffic to router would be blocked
filter=-fw -wan !-bridged -tx -d-mynet -c drop

; ingress filtering, allow incoming multicast
filter=-fw !-bridged -rx !-d-mynet !-d 224.0.0.0/4 -c drop
; don't check source ip on LAN ports, since DNS traffic from router would be blocked
filter=-fw -wan !-bridged -rx -s-mynet -c drop

; tcp packets with bad checksum or malformed options are dropped anyway
; drop outgoing tcp RST segments if they don't belong to a (maybe even half-open) session
filter=-fw -tx -tcp-flags RST RST -tcp-initiated rx !-tcp-session 2 !-tcp-session-dadr 3 -c drop

; drop tcp packets to potentially dangerous port numbers
filter=-fw -rx -tcp-dport 42,53,79,161:162,135,137:139,445,593 -c drop
filter=-fw -tx -tcp-dport 135,137:139,445 -c drop

;; drop all incoming tcp connection attempts?
;filter=-fw -rx -tcp-flags SYN,ACK SYN -c drop

; drop udp packets to potentially dangerous port numbers
filter=-fw -rx -udp-dport 42,53,161:162,135,137:139,445 -c drop
filter=-fw -tx -udp-dport 135,137:139,445 -c drop

; allow dhcp for lan ports, but filter for wan ports
filter=-fw -wan -rx -dport 67:68 -c drop

; drop potentially dangerous icmp packets
filter=-fw -tx !-icmp-type 3/4,8/0,13/0,15/0 !-icmpv6-type 2/0,128/0 -c drop
filter=-fw -rx !-icmp-type 0/0,3,4/0,11,12,14/0,16/0 !-icmpv6-type 129/0,1,3,4 -c drop

; --- IP-Blocker
; drop packets to/from listed IP-adresses.  exclude my subnet
; configure the list 'ipfilter' in section [iplist]
filter=-tx !-d-mynet -d-iplist ipfilter -c drop
filter=-rx !-s-mynet -s-iplist ipfilter -c drop

[highprogs]
; voice over IP
3cx.exe=Voice over IP,3CX
aliim.exe=Voice over IP,AliWangWang
amsn.exe=Voice over IP,aMSN messenger
cbox-cctv5+.exe=Voice over IP,CBox
c+wclient.exe=Voice over IP,12
ekiga.exe=Voice over IP,ekiga SIP voip software
eyebeam.exe=Voice over IP,Counterpath eyebeam
fetionfx.exe=Voice over IP,Fetion
freecall.exe=Voice over IP,FreeCall
fsbox.exe=Voice over IP,123
gizmo.exe=Voice over IP,Gizmo Project
googletalk.exe=Voice over IP,Google Talk
inspeak.exe=Voice over IP,inSpeak Communicator
ipphone.exe=Voice over IP,1&1 SoftPhone
magicjack.exe=Voice over IP,magicJack
mediaget.exe=Voice over IP,mediaget
megalink.exe=Voice over IP,Megalink
msnmsgr.exe=Voice over IP,Windows Live Messenger
mumble.exe=Voice over IP,Mumble VOIP client
nettalkg.exe=Voice over IP,Net Talk
ninjali.exe=Voice over IP,Njnja Lite
paltalk.exe=Voice over IP,Paltalk Messenger
pcman.exe=Voice over IP,PCMan
phone.exe=Voice over IP,Web.de-Freephone
qq.exe=Voice over IP,QQ
qqlogin.exe=Voice over IP,QQ
race_steam.exe=Voice over IP,Race07
rserver3.exe=Voice over IP,Radmin
Raidcall.exe=Voice over IP,Raidcall
sipps.exe=Voice over IP,SIPPS or AOL Softphone
skype.exe=Voice over IP,Skype Internet Telephony
skypekit.exe=Voice over IP,Skypekit
sonarhost.exe=Voice over IP,Sonar
sparvoip.exe=Voice over IP,SparVoip
talkonmain.exe=Voice over IP,Talk On
teamspeak.exe=Voice over IP,Teamspeak
transformice.exe=Voice over IP,Transformice
ts3client_win64.exe=Voice over IP,Teamspeak 3 (64 bit)
ts3client_win32.exe=Voice over IP,Teamspeak 3 (32 bit)
vcg.exe=Voice over IP,VcGuard
ventrilo.exe=Voice over IP,Ventrilo
voipbuster.exe=Voice over IP,VoipBuster
voipcheap.exe=Voice over IP,VoipCheap
voipclient.exe=Voice over IP,iPhone
voipdiscount.exe=Voice over IP,VoipDiscount
wirofon.exe=Voice over IP,Wirofon İstemcisi
wlcomm.exe=Voice over IP,Windows Live Communications Platform
woize.exe=Voice over IP,WOIZE
x-lite.exe=Voice over IP,X-Lite
x-lite4.exe=Voice over IP,X-Lite 4
x-pro.exe=Voice over IP,X-Pro
xfire.exe=Voice over IP,Xfire
y!supra.exe=Voice over IP,Y!Supra
yahelite.exe=Voice over IP,YahELite
yahoomessenger.exe=Voice over IP,Yahoo Messenger
yahvox.exe=Voice over IP,YahVox
yahvox_Domination_v1.1.exe=Voice over IP,YahVox Domination v1.1
zoiper.exe=Voice over IP,Zoiper

; multimedia
aimp3.exe=Multimedia,AIMP Music Player 3
armcp.exe=Multimedia,Replay Media Catcher
foobar2000.exe=Multimedia,Foobar2000
hlsw.exe=Multimedia,HLSW
ietaudio.exe=Multimedia,jetaudio
internettv.exe=Multimedia,Internet TV 2050
itunes.exe=Multimedia,ITunes
klipfolio.exe=Multimedia,Serence KlipFolio
kmplayer.exe=Multimedia,The KMPlayer
lastfm.exe=Multimedia,Last FM - Online Radio
magent.exe=Multimedia,Mail.Ru Агент
miranda32.exe=Multimedia,Miranda Instant Messenger
mpc-hc.exe=Multimedia,Media Player Classic - Home Cinema
mplayer.exe=Multimedia,MPlayer
mplayerc.exe=Multimedia,Media Player Classic
onlineradiotuner.exe=Multimedia,Online Radio Tuner
ovt.exe=Multimedia,OVT
plmg.exe=Multimedia,Paragon Last Minute
potplayer64.exe=Multimedia,PotPlayer
pplive.exe=Multimedia,PPTV
qvodplayer.exe=Multimedia,Qvod Player
radio365_dlg.exe=Multimedia,Radio365
radiowebplayer.exe=Multimedia,Radioweb Player
rarmaradio.exe=Multimedia,Internet Radio
realplay.exe=Multimedia,RealPlayer
sambc.exe=Multimedia,Sam Broadcaster
screamer.exe=Multimedia,Screamer Radio
sopcast.exe=Multimedia,SopCast
spotify.exe=Multimedia,Spotify
trillian.exe=Multimedia,Trillian
tsplayer.exe=Multimedia,Portable TS Player
tvplayer.exe=Multimedia,Tivibu
tvprunner.exe=Multimedia,Joost
videoaccelerator.exe=Multimedia, SpeedBit Video Accelerator
vlc.exe=Multimedia,VLC media player
winamp.exe=Multimedia,Winamp
wmplayer.exe=Multimedia,Windows Media Player
xbmc.exe=Multimedia,XBMC
zattoo.exe=Multimedia,Zattoo

; games
4game_zapuskatr.exe=Games,zapusk
aces.exe=Games,War Thunder
audition.exe=Games,Audition
ava.exe=Games,Alliance of Valiant Arms (A.V.A)
ageofconan.exe=Games,Age of Conan
aion.exe=Games,Aion: The Tower of Eternity
atlantica.exe=Games,атлантика
aogame.exe=Games,Allods Online
apb.exe=Games,All Points Bulletin
arma2.exe=Games,ArmA II
arma2oa.exe=Games,Operation Arrowhead
armyops.exe=Games,Americas Army
bandmaster.exe=Games,BandMaster
battleforge.exe=Games,BattleForge
battlefront.exe=Games,Star Wars: Battlefield
bf1942.exe=Games,Battlefield 1942
bf2.exe=Games,Battlefield 2
bf2142.exe=Games,Battlefield 2142
bf3.exe=Games,Battlefield 3
bfheroes.exe=Games,Battlefield Heroes
bfp4f.exe=Games,Battlefield Play4Free
bfbc2game.exe=Games,Battlefield Bad Company 2
bfvietnam.exe=Games,Battlefield Vietnam
bgroomlobby.exe=Games,BGroom
blackopsmp.exe=Games,Call of Duty Black Ops
blackshot.exe=Games,BlackShot Online
bloodlineChampions.exe=Games,Bloodline Champions
borderlands.exe=Games,Borderlands
borderlands2.exe=Games,Borderlands 2
c9.exe=Games,Continent of the Ninth
cabal.exe=Games,Cabal Online
civilizationv_dx11.exe=Games,Civilization V
client.exe=Games,World of Pirates (WoP)
cnc3.exe=Games,Command & Conquer 3 Tiberium Wars
cod2mp_s.exe=Games,Call of Duty 2
codmp.exe=Games,Call of Duty
coduomp.exe=Games,Call of Duty - United Offensive
codwawmp.exe=Games,Call Of Duty - World at War
coh.exe=Games,Company of Heroes
combatarms.exe=Games,Combat Arms
conquer.exe=Games,Conquer Online
conviction_game.exe=Games,Splinter Cell Conviction
crossfire.exe=Games,Crossfire
crysis2.exe=Games,Crysis 2
csgo.exe=Games,Counter-Strike Global Offensive
cstrike.exe=Games,Counter-Strike 1.6
cstrike-online.exe=Games,Counter-Strike Online
czero.exee=Games,Counterstrike Condition Zero
darkspore.exe=Games,Darkspore
deadspace2.exe=Games,Dead Space 2
dekaron.exe=Games,dekaron
dfbhd.exe=Games,Delta Force - Black Hawk down
dirt2_game.exe=Games,DiRT 2
dirt3.exe=Games,DiRT 3
dndclient.exe=Games,Dungeons & Dragons Online
doom3.exe=Games,Doom 3
dota.exe=Games,Defense of the Ancients
dow2.exe=Games,Dawn of War 2
dragonnest.exe=Games,Dragon Nest
dungeonrunners.exe=Games,Dungeon Runners
elementclient.exe=Games,Perfect World
empiresx.exe=Games,Age of Empires
entropia.exe=Games,Entropia Universe
eso.exe=Games,Elder Scrolls Online
et.exe=Games,Wolfenstein: Enemy Territory
eve.exe=Games,Eve online
everquest2.exe=Games,EverQuest II
f1_2010_game.exe=Games,F1 2010
f1_2011.exe=Games,F1 2011
farcry.exe=Games,Far Cry
fear.exe=Games,F.E.A.R.
ff2client.exe=Games,FIFA Online 2
ffxivgame.exe=Games,Final Fantasy XIV
fifa.exe=Games,FIFA 11
fifa13.exe=Games,FIFA 13
fifa06.exe=Games,Fifa 06 (EA Sports)
fifazf.exe=Games,FIFA Online 3
flyff.exe=Games,FlyffPhilippines
forgedalliance.exe=Games,Forged Alliance
fouc.exe=Games,Flatout Ultimate Carnage
freejackclient.exe=Games,FreeJack
freelancer.exe=Games,Freelancer
fs9.exe=Games,MS Flightsimulator 9 (2004)
fsx.exe=Games,MS Flightsimulator X
game.exe=Games,Diablo II
gameloader.exe=Games,Fifa Online 2
game_y.exe=Games,Volamtruyenky
garena.exe=Games,Garena
ge.exe=Games,Granado Espada
gfwlclient.exe=Games,Games for Windows - LIVE
gitzwc.exe=Games,Gitz WC
globalsgenda.exe=Games,Global Agenda Game
grandchase.exe=Games,Grand Chase
gta_sa.exe=Games,GTA San Andreas Multiplaer
gtaiv.exe=Games,GTA IV
gtr.exe=Games,GTR
gw.exe=Games,Guild Wars
gw2.exe=Games,Guild Wars 2
hedone.exe=Games,Hedone Beta
heros.exe=Games,Heroes of Might and Magic
hgwc.exe=Games,S4 League
hl.exe=Games,Half-Life
hl2.exe=Games,Halflife 2
hon.exe=Games,Heroes of Newerth
iourbanterror.exe=Games,Urban Terror
iw3mp.exe=Games,Call of Duty 4 - Modern Warfare
iw4mp.exe=Games,Call of Duty Modern Warfare 2
iw5mp.exe=Games,Call of Duty Modern Warfare 3
jogar.exe=Games,MuawAy
kalonline.exe=Games,Kalonline
kartrider.exe=Games,KartRider
kh2.exe=Games,Kingdom Hero II
killingfloor.exe=Games,killing floor
knightonline.exe=Games,Knight Online
l2.exe=Games,Lineage 2
l2.exe.exe=Games,Lineage 2   ; no typo
landmark.exe=Games,Everquest Landmark
landmark64.exe=Games,Everquest Landmark
left4dead2.exe=Games,Left 4 Dead 2
lfs.exe=Games,Live for Speed
lLineageII.exe=Games,Lineage 2 GoD l
lithtech.exe=Games,Aliens versus Predator 2
lol.exe=Games,League of legends
lotroclient.exe=Games,Lord of the Rings Online
lswebbroker.exe=Games,Lost Saga
magicka.exe=Games,Magicka
maplestory.exe=Games,MapleStory SEA
marsgame.exe=Games,Mercenary Ops
mb_warband.exe=Games,Mount&Blade Warband
mc2.exe=Games,Midnight Club 2
metin2.exe=Games,Metin2
minecraft.exe=Games,Minecraft
minecraftsp.exe=Games,Minecraft SP
moh_spearhead.exe=Games,Medal of Honor: Spearhead
mohaa.exe=Games,Medal of Honor
mohmpgame.exe=Games,Medal of Honor 2010 MultiPlayer
mohpa.exe=Games,Medal of Honor: Pacific Assault
mohw.exe=Games,Medal of Honor: Warfighter
mow_assault_squad.exe=Games,Men of War Squad Assault
mu.exe=Games,MU Online
nexuiz.exe=Games,Nexuiz
nfsc.exe=Games,NFSC CARBON
nfsw.exe=Games,Need For Speed World
ninedragons.exe=Games,9 Dragons
ofdr.exe=Games,Operation Flashpoint Dragon Rising
onlive.exe=Games,OnLive
operationflashpoint.exe=Games,Operation Flashpoint
pes2011.exe=Games,Pro Evolution Soccer 2011
pes2012.exe=Games,Pro Evolution Soccer 2012
pes2013.exe=Games,Pro Evolution Soccer 2013
pes4.exe=Games,Pro Evolution Soccer 4
pes5.exe=Games,Pro Evolution Soccer 5
pes6.exe=Games,Pro Evolution Soccer 6
planetside2.exe=Games,Planetside 2
po.exe=Games,pokemon online
pointblank.exe=Games,Point Blank
prius.exe=Games,Prius
projectG.exe=Games,Pangya
quake3.exe=Games,Quake 3
r6vegas2_Game.exe=Games,Rainbow Six Vegas 2
ragnarok.exe=Games,Ragnarok Online
ravenshield.exe=Games,Ravenshield
redorchestra.exe=Games,Red Orchestra
reliccoh.exe=Games,Company of heroes
rf.exe=Games,RF Online
rfactor.exe=Games,rFactor
rfc.exe=Games,RF commanders
rift.exe=Games,RIFT
ro2client.exe=Games,Ragnarok Online II
rogame.exe=Games,Red Orchestra 2
rohanclient.exe=Games,Rohan Online
runescape.exe=Games,RuneScape
runesofmagic.exe=Games,Runes of Magic
rustyhearts.exe=Games,Rusty Hearts
s9-win32-f.exe=Games,Section 8: Prejudice
samp.exe=Games,GTA: San Andreas-Multiplayer
sc2.exe=Games,StarCraft II
sh3.exe=Games,Silent Hunter 3
shippingpc-stormgame.exe=Games,Bulletstorm
silkroad.exe=Games,Silkroad Online
simulator.exe=Games,lock on-2
sniper_x86.exe=Games,Sniper Ghost Warrior
sof2mp.exe=Games,Soldier of Fortune2 - Double Helix
so2game.exe=Games,JX2
so3d.exe=Games,seal online
soldierfront.exe=Games,Soldier Front
spacecowboys.atm=Games,SpaceCowboys
specialforce.exe=Games,Special Force
speed.exe=Games,Need for Speed - Most Wanted
speed2.exe=Games,NFS Underground 2
srcds.exe=Games,Valve Source Dedicated Server
star trek online.exe=Games,Star Trek Online
starcraft.exe=Games,StarCraft - Broodwar
stronghold2.exe=Games,Stronghold 2
suddenattack.exe=Games,sudden attack
swarm.exe=Games,Alien Swarm
swtor.exe=Games,Star Wars-The Old Republic
t6mp.exe=Games, Call of Duty Black Ops II
tacticalops.exe=Games,Tactical Ops
tera.exe=Games,Tera
testdrive2.exe=Games,Test Drive Unlimited 2
aikasm.exe=Games,aika online
tibia.exe=Games,Tibia
tlbb.exe=Games,THIEN LONG BAT BO
trgame.exe=Games,talesrunner
unrealtournament.exe=Games,Unreal Tournament
ut2003.exe=Games,Unreal Tournament 2003
ut2004.exe=Games,Unreal Tournament 2004
vietcong.exe=Games,Vietcong
vindictus.exe=Games,Vindictus
war3.exe=Games,Warcraft III
warpatch.exe=Games,Warhammer Online
warrock.exe=Games,WarRock
warz.exe=Games,The War Z
wic_online.exe=Games,World in conflict online
wolfmp.exe=Games,Return to Castle Wolfenstein
worldoftanks.exe= Games,World of Tanks
wow.exe=Games,World of Warcraft
wow-64.exe=Games,World of Warcraft 64bit
xvm-stat.exe=Games,XVM World of Tanks
yo3.exe=Games,yugioh online 3
zingplay.exe=Games,Zingplay

; other
casino.exe=Other,Betfred Poker
patcher_cf2.exe=Other,Crossfire Philippines Patcher
eacoreServer.exe=Other,EA Origin Server
eye.exe=Other,Yahoo! All-Seeing-Eye
garenamessenger.exe=Other,Garena Messenger
garena_room.exe=Other,Garena Room Joiner
googleearth.exe=Other,Google Earth
hamachi-2.exe=Other,Hamachi VPN client
hamachi.exe=Other,Hamachi
lolclient.exe=Other,League of Legends Client
nmservice.exe=Other,Nexon Messenger Service (Combar Arms)
patcher_cf.exe=Other,Crossfire Europe Patcher
proxyswitcher.exe=Other,ProxySwitcher
skypeicon.exe=Other,Skype Icons
w3l.exe=Other,Warcraft III Loader

; misc_high
cflauncher.exe=Misc_High,Crossfire
endpoint.exe=Misc_High,IxChariot
icqlite.exe=Misc_High,ICQLite
iptvplayer.exe=Misc_High,IP-TV Player
mirc.exe=Misc_High,mIRC
mstsc.exe=Misc_High,Microsoft Terminal Services Client
named.exe=Misc_High,TreeWalk DNS
nv_meet_moderator_en.exe=Misc_High,Netviewer Meet Moderator
pidgin.exe=Misc_High,Pidgin
pnkbstrb.exe=Misc_High,Punkbuster
pokerstars.exe=Misc_High,PokerStars
radmin.exe=Misc_High,Remote Administrator
sdnsmain.exe=Misc_High,Simple DNS Plus
teamviewer.exe=Misc_High,Teamviewer
terminal.exe=Misc_High,Metatrader Live
vcviewer.exe=Misc_High,Ultra VNC Viewer
wfica32.exe=Misc_High,Citrix-Client
winvnc.exe=Misc_High,WinVNC
winvnc4.exe=Misc_High,VNC
wlcrasvc.exe=Misc_High,Live Mesh Remote Desktop


[normalprogs]
; game launchers
aeria_launcher.exe=Games,Aeria Ignite
c9launcher.exe=Games,Continent of the Ninth Launcher
cf_g4box.exe=Games,Cross Fire Launcher
csolauncher.exe=Games,Counter-Strike Online
dnlauncher.exe=Games,Dragon Nest Launcher
fifalauncher.exe=Games,FIFA Online 3 Launcher
ft_launcher.exe=Games,Fantasy Tennis
fxlaunch.exe=Games,Age of Wushu Launcher
lol.launcher.exe=Games,League Of Legends Launcher
malauncher.exe=Games,Blackfire
nclauncher.exe=Games,NC Soft Launcher
pblauncher.exe=Games,Point Blank Launcher
playnclauncher.exe=Games,NCSOFT Launcher
tera-launcher.exe=Games,Tera
warzlauncher.exe=Games,WarZ Launcher
wotlauncher.exe=Games,World Of Tanks Launcher

;other
acrord32.exe=Other,Acrobat Reader
admunch.exe=Other,Ad Muncher
anonproxy.exe=Other,Anonymizer
chrome.exe=Other,Google Chrome
dragon.exe=Other,Comodo Dragon
faroo.exe=Other,FAROO Distributed Search
feeddemon.exe=Other,FeedDemon
firefox.exe=Other,Firefox Webbrowser
iexplore.exe=Other,Internet Explorer
java.exe=Other,Java
javaw.exe=Other,Applejuice
k9filter.exe=Other,k9 Internet Protect
moe.exe=Other,Mesh Operating Environment
msfeedssync.exe=Other,Microsoft Feeds Synchronization
msimn.exe=Other,Outlook Express
outlook.exe=Other,Microsoft Outlook
openvpn.exe=Other,OpenVPN
opera.exe=Other,Opera
palemoon.exe=Other,Pale Moon Browsers
pressreader.exe=Other,Pressreader
proxifier.exe=Other,Proxifier
psi.exe=Other,Secunia PSI
routed=Other,Routed connection
safari.exe=Other,Safari
sogouexplorer.exe=Other,搜狗高速浏览器
thebat.exe=Other,The Bat
thunderbird.exe=Other,Thunderbird
totalcmd.exe=Other,Total Commander
twchrome.exe=Other,世界之窗
VKontakteDJ.exe=Other,Vkontakte
vmware.exe=Other,VMWare
unknown=Other,Unknown program
wlmail.exe=Other,Windows Live Mail
wswatch.exe=Other,Website Watcher


[lowprogs]
; other
avastsvc.exe=Other,Avast
blockmgr.exe=Other,Blocklist Manager
boinc.exe=Other,Boinc
cfpt_launcher.exe=Other,2Shared Downloader
cftoolbox.exe=Other,CFToolbox
dap.exe=Other,Download Accelerator Plus
dmaster.exe=Other,Download Master
easyuploader.exe=Other,EU
fdm.exe=Other,Free Download Manager
filezilla.exe=Other,Filezilla
ftprush.exe=Other,FTPRush
fzsftp.exe=Other,Filezilla SFTP
gamecenter@mail.ru.exe=Other,Mail.ru Game Center
gomezpeer.exe=Other,GomezPEER
hfs.exe=Other,HFS (HTTP File Server)
idman.exe=Other,Internet Download Manager
ikarus.exe=Other,Firstload
jdownloader.exe=Other,JDownloader
jusched.exe=Other,JAVA updater
leechget.exe=Other,LeechGet
mipony.exe=Other,Mipony Download Manager
origin.exe=Other,Origin EA game manager
plugin-container.exe=Other,Flash to FireFox
StbDataServer.exe=Other,STB DataServer
steam.exe=Other,Steam
winbox.exe=Other,Mikrotik WinBOX


[lowestprogs]
; file sharing
abc.exe=File Sharing,ABC (Bittorent)
apexd-x64.exe=File Sharing,ApexDC
ares.exe=File Sharing,ares
avcenter.exe=File Sharing,avira
avp.exe=Other,Anti Virus Project
azureus.exe=File Sharing,Azureus
bearshare.exe=File Sharing,Bearshare
binreader.exe=File Sharing,Binreader
bitcomet.exe=File Sharing,Bitcomet
bitLord.exe=File Sharing,BitLord
bitspirit.exe=File Sharing,Bitspirit
bittorrent.exe=File Sharing,Bittorrent
blizzarddownloader.exe=File Sharing,Blizzard Downloader
cryptload.exe=File Sharing,CryptLoad
daman.exe=File Sharing,Download Acceleration Manager
dcplusplus.exe=File Sharing,Direct Connect ++
dropbox.exe=File Sharing,Dropbox
edonkey2000.exe=File Sharing,Edonkey2000
emule.exe=File Sharing,eMule
flashfxp.exe=File Sharing,FlashFXP
flashget.exe=File Sharing,FlashGet Download Manager
foxy.exe=File Sharing,hiyagu downlord it
frd.exe=File Sharing,FreeRapid Downloader
fsharetool.exe=File Sharing,Fshare Tool
g3torrent.exe=File Sharing,G3torrent
gigatribe.exe=File Sharing,Gigatribe
kazaa.exe=File Sharing,Kazaa
kazaaLite.kpp=File Sharing,Kazaa Lite K++
limewire.exe=File Sharing,Lime Wire
megamanager.exe=File Sharing,Megamanager
moorhunt.exe=File Sharing,MoorHunt
newsbinpro64.exe=File Sharing,Newsbin 64 bits
newsLeecher.exe=File Sharing,NewsLeecher
orbitdm.exe=File Sharing,Orbit Downloader
overnet.exe=File Sharing,Overnet
pmb.exe=File Sharing,Pando
qqdownload.exe=File Sharing,QQDownload
rapidsharemanager.exe=File Sharing,RapidShareManager
rufus.exe=File Sharing,Rufus
sabnzbd.exe=File Sharing,SABnzbd
share.exe=File Sharing,Share EX2
shareaza.exe=File Sharing,Shareaza
shareman.exe=File Sharing,Shareman
slsk.exe=File Sharing,Soulseek
sohuva.exe=File Sharing,搜狐加速器
strongdc.exe=File Sharing,StrongDC++
tixati.exe=File Sharing,Tixati
thunder.exe=File Sharing,Thunder
thunderplatform.exe=File Sharing,Thunder Network
thunderserviceLite.exe=File Sharing,ThunderServiceLite
tunngle.exe=Other,Tunngle
usdownloader.exe=File Sharing,USDownloader
usenext.exe=File Sharing,Usenext
userenity.exe=File Sharing,uSerenity
utorrent.exe=File Sharing,uTorrent
winmx.exe=File Sharing,WinMX
winny.exe=File Sharing,Winny
wuala.exe=File Sharing,Wuala

[highprots]
DNS_C=special,DNS Client
DNS_S=special,DNS Server
FTPCMD_C=clients,FTP Command
HSTREAM_C=multimedia,HTTP Streaming Client / Media Players
HTTP_C=clients,HTTP
IMAP4_C=clients,IMAP4
IRC_C=clients,IRC Chat
MPEG_DASH_C=multimedia,MPEG DASH Streaming Client / Media Players
NNTP_C=clients,NNTP,Network News
NTP=special,NTP,Network Time Protocol
POP3_C=clients,POP3,Inbound Mail
RTMP_C=multimedia,RTMP
RTP=multimedia,RTP Voice over IP (VoIP)
RTSP_C=multimedia,RTSP Streaming Client / Media Players
SIP_C=clients,SIP,Internet Telephony
SIP_S=servers,SIP,Internet Telephony
SSH=special,SSH,Secure Shell
SSL_C=special,SSL & TLS (e.g. HTTPS,POP3S,IMAP4S,NNTPS,FTPS)
TELNET=special,Telnet

[normalprots]
BSTREAM_C=multimedia,Browser Streaming
BSTREAM_S=multimedia,Browser Streaming Server
FTPCMD_S=servers,FTP Command
HSTREAM_S=multimedia,HTTP Streaming Server
HTTP_S=servers,HTTP Server
IMAP4_S=servers,IMAP4 Server
IRC_S=servers,IRC Server
KADEMLIA=p2p,Kademlia
MPEG_DASH_S=multimedia,MPEG DASH Streaming Server
NNTP_S=servers,NNTP News Server
POP3_S=servers,POP3,Mail Server
RPC=special,Remote Procedure Call
RTMP_S=multimedia,RTMP Server
RTSP_S=multimedia,RTSP Streaming Server
SMTP_C=clients,SMTP,Outbound Mail
SMTP_S=servers,SMTP Mail Server
SSL_C_BULK=special,SSL & TLS (e.g. HTTPS,POP3S,IMAP4S,NNTPS,FTPS) bulk data
SSL_S=special,SSL 2.0,SSL 3.0 & TLS 1.0,Secure Socket Layer
SSL_SPDY_C=clients,HTTP SPDY Client
SSL_SPDY_S=servers,HTTP SPDY Server
TEREDO=special,Teredo IPv6 tunneling
UNKNOWN=special,Unknown protocol

[lowprots]
FTPDATA=special,FTP Data
HTTP_C_BULK=clients,HTTP up/downloads
HTTP_S_BULK=servers,HTTP up/downloads
SSH_BULK=special,SSH,Secure Shell bulk data
SSL_S_BULK=special,SSL & TLS,Secure Socket Layer bulk data
TEREDO_BULK=special,Teredo IPv6 tunneling bulk data
UNKNOWN_BULK=special,Unknown protocol bulk data

[lowestprots]
DIRECTCONNECT=p2p,Direct Connect
E2K=p2p,eDonkey 2000 (eMule,etc.)
FASTTRACK=p2p,Kazaa,Morpheus,iMesh,Grokster,etc.
GNUTELLA=p2p,Gnutella & Gnutella2
TORRENT=p2p,Bittorrent

[descprogs]
acrord32.exe=desc,Acrobat Reader
alg.exe=desc,Windows Application Layer Gateway Service
chrome.exe=desc,Google Chrome
conf.exe=desc,Netmeeting
devenv.exe=desc,Visual Studio
firefox.exe=desc,Firefox Webbrowser
iexplore.exe=desc,Internet Explorer
k-meleon.exe=desc,K-Meleon
maxthon.exe=desc,Maxthon
midori.exe=desc,Midori
msimn.exe=desc,Outlook Express
opera.exe=desc,Opera
procexp.exe=desc,Process Explorer
routed.exe=desc,Routed Traffic
safari.exe=desc,Safari
svchost.exe=desc,Windows Generic Host Process
thebat.exe=desc,The Bat
totalcmd.exe=desc,Total Commander
vmware.exe=desc,VMWare
winamp.exe=desc,Winamp
windbg.exe=desc,WinDbg

[iplist]
; this section contains lines in the format "listname=filename"
; 'listname' is used to filter for the IP-addresses listed in 'filename'.
; you can have more than one list with different names and each list can be made
; up of more than one file.
; you can put this section in user.ini, so it will not be overwritten with the next
; cFosSpeed update.

; example line:
; ipfilter=c:\text\ipfilter.dat

[slots]
name1=Streaming
protocols1=
programs1=
mode1=max
categories1=multimedia
name2=Games
protocols2=
programs2=
mode2=max
categories2=Games
name3=VoIP
protocols3=
programs3=
mode3=max
categories3=voip
name4=Fileshare/P2P
protocols4=
programs4=
mode4=max
categories4=p2p
name5=Client/Server
protocols5=
programs5=
mode5=max
categories5=clients:servers:special
name6=Misc High
protocols6=
programs6=
mode6=max
categories6=misc_high
name7=User
protocols7=*
programs7=
mode7=max
categories7=
name8=RX Total
protocols8=
programs8=
categories8=
mode8=total_rx
name9=TX Total
protocols9=
programs9=
categories9=
mode9=total_tx
name10=Net Talk
protocols10=
programs10=
categories10=
mode10=nettalk_max
